%define with_kbdrate		0
%define cramfsver		1.1
%define floppyver		0.12
%define no_hwclock_archs	s390 s390x
%define cytune_archs		%{ix86} alpha armv4l

Summary:	A collection of basic system utilities.
Name:		util-linux
Version:	2.12q
Release:	4
Group:		System Environment/Base
License:	distributable

BuildRequires:	sed, pam-devel, ncurses-devel, libtermcap-devel
BuildRequires:	zlib-devel, slang-devel

Source00:	ftp://ftp.kernel.org/pub/linux/utils/util-linux/util-linux-%{version}.tar.gz
Source01:	util-linux-2.7-login.pamd-gd-3
Source02:	util-linux-2.7-chfn.pamd
Source03:	util-linux-2.7-chsh.pamd
Source08:	nologin.c
Source09:	nologin.8
Source10:	kbdrate.tar.gz
Source11:	http://download.sourceforge.net/floppyutil/floppy-%{floppyver}.tar.gz
Source12:	http://download.sourceforge.net/cramfs/cramfs-%{cramfsver}.tar.gz

Patch000:	util-linux-2.12-twosix-ioctl-macro-fix-gd-2.diff

# Patches taken from Red Hat Fedora Core 4
Patch100:	util-linux-2.12a-moretc.patch 
Patch101:	util-linux-2.12a-partlimit.patch
Patch102:	util-linux-2.11f-rawman.patch
Patch103:	util-linux-2.12j-managed.patch
Patch104:	util-linux-2.12p-swaponsymlink-57300.patch
Patch105:	util-linux-2.11y-procpartitions-37436.patch
Patch106:	util-linux-2.11r-ctty3.patch
Patch107:	util-linux-2.11y-skipraid2.patch
Patch108:	util-linux-2.11y-multibyte.patch
Patch109:	util-linux-2.12a-ipcs-84243-86285.patch
Patch110:	util-linux-2.11y-chsh-103004.patch
Patch111:	util-linux-2.11y-fdisksegv-103954.patch
Patch112:	cramfs-1.1-blocksize_and_quiet.patch
Patch113:	cramfs-1.1-pagesize.patch
Patch114:	util-linux-2.12a-126572-fdiskman.patch
Patch115:	floppy-0.12-locale.patch
Patch116:	util-linux-2.12a-mountbylabel-dm.patch
Patch117:	util-linux-2.12a-16415-rdevman.patch
Patch118:	util-linux-2.12a-pamstart.patch
Patch119:	util-linux-2.12j-pamconsole.patch
Patch120:	raw-handle-nonpresent-devs.patch
Patch121:	util-linux-2.12j-113790-hotkeys.patch
Patch122:	util-linux-2.12p-newgrp-disable.patch
Patch123:	util-linux-2.12p-nfsv4.patch
Patch124:	util-linux-2.12a-mount-proto.patch
Patch125:	util-linux-2.12a-nfsmount-overflow.patch
Patch126:	util-linux-2.12a-nfsmount-reservp.patch
Patch127:	util-linux-2.12p-nfsmount-rollback.patch
Patch128:	util-linux-2.12p-login-lastlog.patch
Patch129:	util-linux-2.12p-mtab-lock.patch
Patch130:	util-linux-2.12p-ipcs-typo.patch
Patch131:	util-linux-2.12a-pamsession.patch
Patch132:	util-linux-2.12p-nfsman.patch
Patch133:	util-linux-2.12p-lvm2dupes-76467.patch
Patch134:	util-linux-2.12p-fdformat-ide.patch
Patch135:	util-linux-2.12p-fstab-man.patch
Patch136:	util-linux-2.12p-look-separator.patch

BuildRoot:	%{_tmppath}/%{name}-%{release}-root
Requires:	pam >= 0.66-4, /etc/pam.d/system-auth
%if %{with_kbdrate}
Requires: usermode
%endif
Conflicts:	kernel < 2.2.12-7, 

%description
The util-linux package contains a large variety of low-level system
utilities that are necessary for a Linux system to function. Among
others, Util-linux contains the fdisk configuration tool and the login
program.

%files -f %{name}.lang
  %defattr(-,root,root)
  %doc */README.*
  %doc fdisk/sfdisk.examples
  %doc %{_infodir}/ipc.info*
  %doc %{_mandir}/man1/arch.1*
  %doc %{_mandir}/man1/cal.1*
  %doc %{_mandir}/man1/chfn.1*
  %doc %{_mandir}/man1/chkdupexe.1*
  %doc %{_mandir}/man1/chsh.1*
  %doc %{_mandir}/man1/col.1*
  %doc %{_mandir}/man1/colcrt.1*
  %doc %{_mandir}/man1/colrm.1*
  %doc %{_mandir}/man1/column.1*
  %doc %{_mandir}/man1/ddate.1*
  %doc %{_mandir}/man1/flock.1*
  %doc %{_mandir}/man1/getopt.1*
  %doc %{_mandir}/man1/hexdump.1*
  %doc %{_mandir}/man1/kill.1*
  %doc %{_mandir}/man1/logger.1*
  %doc %{_mandir}/man1/login.1*
  %doc %{_mandir}/man1/look.1*
  %doc %{_mandir}/man1/mcookie.1*
  %doc %{_mandir}/man1/more.1*
  %doc %{_mandir}/man1/namei.1*
# %doc %{_mandir}/man1/newgrp.1*
  %doc %{_mandir}/man1/readprofile.1*
  %doc %{_mandir}/man1/rename.1*
  %doc %{_mandir}/man1/rev.1*
  %doc %{_mandir}/man1/script.1*
  %doc %{_mandir}/man1/setterm.1*
  %doc %{_mandir}/man1/ul.1*
  %doc %{_mandir}/man1/whereis.1*
  %doc %{_mandir}/man1/write.1*
  %doc %{_mandir}/man8/agetty.8*
  %doc %{_mandir}/man8/blockdev.8*
  %doc %{_mandir}/man8/ctrlaltdel.8*
  %doc %{_mandir}/man8/dmesg.8*
  %doc %{_mandir}/man8/elvtune.8*
  %doc %{_mandir}/man8/fdformat.8*
  %doc %{_mandir}/man8/fdisk.8*
  %doc %{_mandir}/man8/floppy.8*
  %doc %{_mandir}/man8/hwclock.8*
  %doc %{_mandir}/man8/ipcrm.8*
  %doc %{_mandir}/man8/ipcs.8*
  %doc %{_mandir}/man8/isosize.8*
  %doc %{_mandir}/man8/mkfs.8*
  %doc %{_mandir}/man8/mkswap.8*
  %doc %{_mandir}/man8/nologin.8*
  %doc %{_mandir}/man8/pivot_root.8*
  %doc %{_mandir}/man8/raw.8*
  %doc %{_mandir}/man8/rawdevices.8*
  %doc %{_mandir}/man8/renice.8*
  %doc %{_mandir}/man8/setfdprm.8*
  %doc %{_mandir}/man8/setsid.8*
  %doc %{_mandir}/man8/sfdisk.8*
  %doc %{_mandir}/man8/sln.8*
  %doc %{_mandir}/man8/tunelp.8*
  %doc %{_mandir}/man8/vigr.8*
  %doc %{_mandir}/man8/vipw.8*

  %attr(0555,root,root)		%{_root_bindir}/arch
  %attr(0550,root,admin)	%{_root_bindir}/dmesg
  %attr(0555,root,root)		%{_root_bindir}/kill
  %attr(0555,root,root)		%{_root_bindir}/login
  %attr(0555,root,root)		%{_root_bindir}/more

  %attr(0444,root,root)		%config %{_sysconfdir}/fdprm
  %attr(0400,root,root)		%config %{_sysconfdir}/pam.d/chfn
  %attr(0400,root,root)		%config %{_sysconfdir}/pam.d/chsh
  %attr(0400,root,root)		%config %{_sysconfdir}/pam.d/login

  %attr(0500,root,root)		%{_root_sbindir}/agetty
# %attr(0500,root,root)		%{_root_sbindir}/addpart
  %attr(0500,root,root)		%{_root_sbindir}/blockdev
  %attr(0500,root,root)		%{_root_sbindir}/clock
  %attr(0500,root,root)		%{_root_sbindir}/ctrlaltdel
# %attr(0500,root,root)		%{_root_sbindir}/delpart
  %attr(0500,root,root)		%{_root_sbindir}/elvtune
  %attr(0500,root,root)		%{_root_sbindir}/fdisk
  %attr(0500,root,root)		%{_root_sbindir}/fsck.cramfs
  %attr(0500,root,root)		%{_root_sbindir}/hwclock
  %attr(0500,root,root)		%{_root_sbindir}/mkfs
  %attr(0500,root,root)		%{_root_sbindir}/mkfs.cramfs
  %attr(0500,root,root)		%{_root_sbindir}/mkswap
  %attr(0500,root,root)		%{_root_sbindir}/rescuept
  %attr(0500,root,root)		%{_root_sbindir}/nologin
# %attr(0500,root,root)		%{_root_sbindir}/partx
  %attr(0500,root,root)		%{_root_sbindir}/pivot_root
  %attr(0500,root,root)		%{_root_sbindir}/sfdisk

%if %{with_kbdrate}
  %doc %{_mandir}/man8/kbdrate.8*
  %attr(0500,root,root)		%{_root_sbindir}/kbdrate
  %attr(0500,root,root)		%{_bindir}/kbdrate
  %attr(0400,root,root)		%config %{_sysconfdir}/pam.d/kbdrate
  %attr(0400,root,root)		%config %{_sysconfdir}/security/console.apps/kbdrate
%endif

  %attr(0500,root,root)		%{_bindir}/chfn
  %attr(0500,root,root)		%{_bindir}/chsh

  %attr(0511,root,root)		%{_bindir}/cal
  %attr(0511,root,root)		%{_bindir}/chkdupexe
  %attr(0511,root,root)		%{_bindir}/col
  %attr(0511,root,root)		%{_bindir}/colcrt
  %attr(0511,root,root)		%{_bindir}/colrm
  %attr(0511,root,root)		%{_bindir}/column
  %attr(0511,root,root)		%{_bindir}/ddate
  %attr(0511,root,root)		%{_bindir}/fdformat
  %attr(0511,root,root)		%{_bindir}/flock
  %attr(0511,root,root)		%{_bindir}/getopt
  %attr(0511,root,root)		%{_bindir}/hexdump
  %attr(0510,root,admin)	%{_bindir}/ipcrm
  %attr(0510,root,admin)	%{_bindir}/ipcs
  %attr(0511,root,root)		%{_bindir}/isosize
  %attr(0511,root,root)		%{_bindir}/logger
  %attr(0511,root,root)		%{_bindir}/look
  %attr(0511,root,root)		%{_bindir}/mcookie
  %attr(0511,root,root)		%{_bindir}/floppy
  %attr(0511,root,root)		%{_bindir}/namei
# %attr(0511,root,root)		%{_bindir}/raw
  %attr(0511,root,root)		%{_bindir}/rename
  %attr(0510,root,admin)	%{_bindir}/renice
  %attr(0511,root,root)		%{_bindir}/rev
  %attr(0511,root,root)		%{_bindir}/script
  %attr(0511,root,root)		%{_bindir}/setfdprm
  %attr(0511,root,root)		%{_bindir}/setsid
  %attr(0555,root,root)		%{_bindir}/setterm
  %attr(0555,root,root)		%{_bindir}/ul
  %attr(0511,root,root)		%{_bindir}/whereis
  %attr(0511,root,root)		%{_bindir}/write

  %attr(0500,root,root)		%{_sbindir}/clock
  %attr(0500,root,root)		%{_sbindir}/hwclock
  %attr(0510,root,admin)	%{_sbindir}/mkcramfs
  %attr(0500,root,root)		%{_sbindir}/readprofile
  %attr(0500,root,root)		%{_sbindir}/tunelp
  %attr(0500,root,root)		%{_sbindir}/vipw
  %attr(0500,root,root)		%{_sbindir}/vigr

  %attr(0444,root,root)		%{_datadir}/misc/getopt/*

%ifarch %{ix86}
  %doc %{_mandir}/man8/cytune.8*
  %doc %{_mandir}/man8/ramsize.8*
  %doc %{_mandir}/man8/rdev.8*
  %doc %{_mandir}/man8/rootflags.8*
  %doc %{_mandir}/man8/vidmode.8*

  %attr(0511,root,root)		%{_bindir}/cytune
  %attr(0500,root,root)		%{_sbindir}/ramsize
  %attr(0500,root,root)		%{_sbindir}/rdev
  %attr(0500,root,root)		%{_sbindir}/rootflags
  %attr(0500,root,root)		%{_sbindir}/vidmode
%endif

%package -n mount
Group:		System Environment/Base
Summary:	Programs for mounting and unmounting filesystems.

%description -n mount
The mount package contains the mount, umount, swapon, and swapoff
programs. Accessible files on your system are arranged in one big tree
or hierarchy. These files can be spread out over several devices. The
mount command attaches a filesystem on some device to your system's
file tree. The umount command detaches a filesystem from the
tree. Swapon and swapoff, respectively, specify and disable devices
and files for paging and swapping.

%files -n mount
  %doc %{_mandir}/man5/fstab.5*
  %doc %{_mandir}/man5/nfs.5*
  %doc %{_mandir}/man8/mount.8*
  %doc %{_mandir}/man8/swapoff.8*
  %doc %{_mandir}/man8/swapon.8*
  %doc %{_mandir}/man8/umount.8*

  %defattr(-,root,root)
  %attr(0500,root,root)	%{_root_bindir}/mount
  %attr(0500,root,root)	%{_root_bindir}/umount
  %attr(0500,root,root)	%{_root_sbindir}/swapon
  %attr(0500,root,root)	%{_root_sbindir}/swapoff


%package -n losetup
Summary:	Programs for setting up and configuring loopback devices.
Group:		System Environment/Base

%description -n losetup
Linux supports a special block device called the loop device, which
maps a normal file onto a virtual block device. This allows for the
file to be used as a "virtual file system" inside another file.
Losetup is used to associate loop devices with regular files or block
devices, to detach loop devices and to query the status of a loop
device.

%files -n losetup
  %defattr(-,root,root)
  %doc %{_mandir}/man8/losetup.8*
  %attr(0500,root,root)	%{_root_sbindir}/losetup


%prep
%setup -q -a 10 -a 11 -a 12

  cp %{SOURCE8} %{SOURCE9} .

%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p0
%patch113 -p1
%patch114 -p1
%patch115 -p0
%patch116 -p1
%patch117 -p1
%patch118 -p1
%patch119 -p1
%patch120 -p1
%patch121 -p1
%patch122 -p1
%patch123 -p1
%patch124 -p1
%patch125 -p1
%patch126 -p1
%patch127 -p1
%patch128 -p1
%patch129 -p1
%patch130 -p1
%patch131 -p1
%patch132 -p1
%patch133 -p1
%patch134 -p1
%patch135 -p1
%patch136 -p1

sed -e 's:^MAN_DIR=.*:MAN_DIR=%{_mandir}:' -e 's:^INFO_DIR=.*:INFO_DIR=%{_infodir}:' MCONFIG > MCONFIG.new
mv MCONFIG.new MCONFIG

%build
  unset LINGUAS || :

  %configure

  make "OPT=$RPM_OPT_FLAGS -DUSE_TTY_GROUP -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64" \
	LDFLAGS=""					\
	HAVE_BLKID=yes					\
	HAVE_PIVOT_ROOT=yes				\
	HAVE_PAM=yes					\
	HAVE_SHADOW=no					\
	HAVE_PASSWD=yes					\
	ALLOW_VCS_USE=no				\
	HAVE_SLANG=yes					\
	HAVE_SELINUX=yes				\
	SLANGFLAGS=-I/%{_includedir}/slang		\
	INSTALLSUID='$(INSTALL) -m $(SUIDMODE)'		\
	USE_TTY_GROUP=no				\
	%{?_smp_mflags}

# make LDFLAGS="" CFLAGS="$RPM_OPT_FLAGS" -C partx %{?_smp_mflags}

  pushd rescuept
    cc -D_FILE_OFFSET_BITS=64 $RPM_OPT_FLAGS -o rescuept rescuept.c
  popd

%if %{with_kbdrate}
  pushd kbdrate
    cc $RPM_OPT_FLAGS -o kbdrate kbdrate.c
  popd
%endif

  pushd floppy-%{floppyver}
    %configure --with-gtk-prefix=/asfd/jkl
    make %{?_smp_mflags}
  popd

  make -C cramfs-%{cramfsver} %{?_smp_mflags}

  gcc $RPM_OPT_FLAGS -o nologin nologin.c

  pushd sys-utils
    makeinfo --number-sections ipc.texi
  popd

%install
  [ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

  mkdir -p $RPM_BUILD_ROOT/%{_root_bindir}
  mkdir -p $RPM_BUILD_ROOT/%{_root_sbindir}
  mkdir -p $RPM_BUILD_ROOT/%{_bindir}
  mkdir -p $RPM_BUILD_ROOT/%{_infodir}
  mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man{1,6,8,5}
  mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/{pam.d,security/console.apps}

  make "OPT=$RPM_OPT_FLAGS -DUSE_TTY_GROUP -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64" \
	LDFLAGS=""					\
	HAVE_BLKID=yes					\
	HAVE_PIVOT_ROOT=yes				\
	HAVE_PAM=yes					\
	HAVE_SHADOW=no					\
	HAVE_PASSWD=yes					\
	ALLOW_VCS_USE=no				\
	HAVE_SLANG=yes					\
	HAVE_SELINUX=yes				\
	SLANGFLAGS=-I/%{_includedir}/slang		\
	INSTALLSUID='$(INSTALL) -m $(SUIDMODE)'		\
	USE_TTY_GROUP=no				\
	INSTALLDIR="install -d -m 755"	\
	INSTALLSUID="install -m 755"	\
	INSTALLBIN="install -m 755"	\
	INSTALLMAN="install -m 644"	\
	install DESTDIR=$RPM_BUILD_ROOT

  pushd floppy-%{floppyver}
    %makeinstall
  popd

  pushd cramfs-%{cramfsver}
    install -s mkcramfs $RPM_BUILD_ROOT/%{_root_sbindir}/mkfs.cramfs
    ln -s ../../%{_root_sbindir}/mkfs.cramfs $RPM_BUILD_ROOT/%{_sbindir}/mkcramfs
    install -s cramfsck $RPM_BUILD_ROOT/%{_root_sbindir}/fsck.cramfs
  popd

  install mount/pivot_root ${RPM_BUILD_ROOT}/sbin
  install mount/pivot_root.8 ${RPM_BUILD_ROOT}%{_mandir}/man8
  install rescuept/rescuept ${RPM_BUILD_ROOT}/sbin
mv rescuept/README rescuept/README.rescuept
  install nologin ${RPM_BUILD_ROOT}/sbin
  install nologin.8 ${RPM_BUILD_ROOT}%{_mandir}/man8
%if %{with_kbdrate}
  install kbdrate/kbdrate ${RPM_BUILD_ROOT}/sbin
  install kbdrate/kbdrate.8 ${RPM_BUILD_ROOT}%{_mandir}/man8
  ln -s consolehelper ${RPM_BUILD_ROOT}/usr/bin/kbdrate
%endif
  echo '.so man8/raw.8' > $RPM_BUILD_ROOT%{_mandir}/man8/rawdevices.8

  # Correct mail spool path.
  sed -e 's,/usr/spool/mail,/var/spool/mail,g' ${RPM_BUILD_ROOT}%{_mandir}/man1/login.1 > ${RPM_BUILD_ROOT}%{_mandir}/man1/login.1.new 
  mv ${RPM_BUILD_ROOT}%{_mandir}/man1/login.1.new ${RPM_BUILD_ROOT}%{_mandir}/man1/login.1

if [ "%{_infodir}" != "%{_prefix}/info" -a -d ${RPM_BUILD_ROOT}%{_prefix}/info ]; then
   ( cd ${RPM_BUILD_ROOT}%{_prefix}/info; tar cf - ./* ) |
   ( cd ${RPM_BUILD_ROOT}%{_infodir}; tar xf - )
   ( cd ${RPM_BUILD_ROOT}%{_prefix}; rm -rf ./info )
fi

  gzip -9nf ${RPM_BUILD_ROOT}%{_infodir}/ipc.info

%if %{with_kbdrate}
  install kbdrate/kbdrate.apps $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/kbdrate
  install kbdrate/kbdrate.pam $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/kbdrate
%endif

{ 
  pushd $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d
    install %{SOURCE1} ./login
#   install %{SOURCE1} ./remote
    install %{SOURCE2} ./chfn
    install %{SOURCE3} ./chsh
  popd
}

  ln -sf ../../sbin/hwclock ${RPM_BUILD_ROOT}/usr/sbin/hwclock
  ln -sf ../../sbin/clock ${RPM_BUILD_ROOT}/usr/sbin/clock
  ln -sf hwclock ${RPM_BUILD_ROOT}/sbin/clock

  # We do not want dependencies on csh
  chmod 644 ${RPM_BUILD_ROOT}%{_datadir}/misc/getopt/*
  rm -f fdisk/README.cfdisk

# Final cleanup
%ifnarch %cytune_archs
rm -f $RPM_BUILD_ROOT%{_bindir}/cytune $RPM_BUILD_ROOT%{_mandir}/man8/cytune.8*
%endif
%ifarch %no_hwclock_archs
rm -f $RPM_BUILD_ROOT/sbin/{hwclock,clock} $RPM_BUILD_ROOT%{_mandir}/man8/hwclock.8*
%endif
%ifarch s390 s390x
rm -f $RPM_BUILD_ROOT/usr/{bin,sbin}/{fdformat,tunelp,floppy,setfdprm} $RPM_BUILD_ROOT%{_mandir}/man8/{fdformat,tunelp,floppy,setfdprm}.8*
rm -f $RPM_BUILD_ROOT/%{_sysconfdir}/fdprm
%endif

  for i in /sbin/cfdisk /sbin/fsck.minix /sbin/mkfs.{bfs,minix} /sbin/sln %{_bindir}/line %{_bindir}/pg; do
    rm -f $RPM_BUILD_ROOT/$i
  done

  # Remove unpackaged files.
  rm -f $RPM_BUILD_ROOT/%{_bindir}/raw
  rm -f $RPM_BUILD_ROOT/%{_bindir}/tailf
  rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/line.1*
  rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/pg.1*
  rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/cfdisk.8*
  rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/fsck.minix.8*
  rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/mkfs.minix.8*
  rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/mkfs.bfs.8*
  rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/tailf.1

  %find_lang %{name}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Sep 15 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.12q, Release 4
  - Use pam_selinux in the 'login' pam.d file, fixes #0000855.

* Tue Jul 26 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.12q, Release 3
  - Wrap ix86-only programs in an %ifarch.

* Fri Jul 15 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.12q, Release 2
  - Rebuild against ncurses-devel-5.4-3 to properly pick up ncurses includes.
    Fixes #0000723.
  - Package new files (setterm and ul) created since we're now using ncruses.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.12q, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
